## texlive-bin 2007.dfsg.2

=== texmf/doc/pdftex/manual/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.82 2005/10/23 22:46:32 hhenkel Exp $
+# $Id: Makefile,v 1.89 2007/01/25 07:18:57 hhenkel Exp $
 #
 # Makefile for pdfTeX documentation
 
-pdftexversion=1.30.4
+pdftexversion=1.40.0
 mandir=manual
 distdate=`date +%y%m%d`
 distrev=`awk '/Id:/{print $$4; exit}' $(mandir)/pdftex-t.tex`
@@ -24,41 +24,39 @@
 booklet:	pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf
 
 pdftex-a.pdf:	pdftex-t.tex pdftex-t.txt
-	texexec --result $@ $<
+	texexec --result=$@ $<
 
 pdftex-l.pdf:	pdftex-t.tex pdftex-t.txt
-	texexec --mode=letter --result $@ $<
+	texexec --mode=letter --result=$@ $<
 
 pdftex-s.pdf:	pdftex-t.tex pdftex-i.tex
-	texexec --mode=screen --result $@ $<
+	texexec --mode=screen --result=$@ $<
 
 pdftex-b.pdf:	pdftex-a.pdf
 	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
-	--result $@ $<
+	--result=$@ $<
 
 pdftex-b-e.pdf:	pdftex-a.pdf
 	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
-	--pages=even --result $@ $<
+	--pages=even --result=$@ $<
 
 pdftex-b-o.pdf:	pdftex-a.pdf
 	texexec --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
-	--pages=odd --result $@ $<
+	--pages=odd --result=$@ $<
 
 pdftex-t.txt:	pdftex-w.pdf Makefile
 	cat $< \
 	| expand \
-	| sed -e '/\/Differences/s/\// \//g' \
-	| fmt -s -w45 \
-	| sed -e '/Differences/,/endobj/s/ //g' \
+	| fmt -s -w36 \
 	| grep . \
 	| expand \
 	| cat > $@
 
 pdftex-w.pdf:	pdftex-w.tex
-	pdfetex $<
+	pdftex $<
 
 pdftex-syntax.txt:	pdftex-t.tex syntaxform.awk
-	awk -f syntaxform.awk $< > $@
+	gawk -f syntaxform.awk $< > $@
 
 # tar/zip including pdftex-a.pdf, pdftex-l.pdf, pdftex-s.pdf:
 
@@ -89,3 +87,5 @@
 	- rm -f pdftex-syntax.txt
 	- rm -f pdftex-w.pdf pdftex-t.txt
 	make clean
+
+clobber: allclean
