## texlive-bin 2012.20120628

=== debian/changelog ===
texlive-bin (2012.20120628-4) unstable; urgency=low

  * add necessary break for update from wheezy (Closes: #689005)
  * build dvisvgm with libgs support (build dep added, config option added)
  * include a fixed and updated man page for updmap.cfg (Closes: #688893)

 -- Norbert Preining <preining@debian.org>  Tue, 20 Nov 2012 09:31:10 +0900

texlive-bin (2012.20120628-3) unstable; urgency=low

  * fix too short name space for cweave (original file has this fix
    since 2008) (new patch cweave-fix-too-short-names)

 -- Norbert Preining <preining@debian.org>  Tue, 04 Sep 2012 10:32:59 +0900

texlive-bin (2012.20120628-2) unstable; urgency=low

  * cherrypick a bugfix from upstream for ptex kanji code scanning
    (debian/quilt/upstream-fix-ptex-scanning)
  * format and lintian fixes

 -- Norbert Preining <preining@debian.org>  Thu, 26 Jul 2012 11:59:23 +0900

texlive-bin (2012.20120628-1) unstable; urgency=low

  * new upstream (some emergency fixes), the following patches have
    been removed since they are included upstream: patch-icu, patch-pdftex,
    fix-pipe-in-out-regression, upstream-fix-ini-synctex-segfault
  * Build with -marm on armhf to fix lilypond FTBFS (Closes: #678604)
    (Thanks Peter Michael Green)

 -- Norbert Preining <preining@debian.org>  Thu, 28 Jun 2012 23:47:26 +0900

texlive-bin (2012.20120623-2) unstable; urgency=low

  * fix reading from and writing to pipes from within tex: new 
    patch fix-pipe-in-out-regression (Closes: #679065)

 -- Norbert Preining <preining@debian.org>  Tue, 26 Jun 2012 16:02:17 +0900

texlive-bin (2012.20120623-1) unstable; urgency=low

  * post release fixed from Peter Breitenlohner (will be included upstream):
    - (patch-dvi2tty, patch-lacheck) Ken Brown <kbrow1i@gmail.com> has noteda
    that already moderately long pathnames may yield buffer overruns in 
    lacheck and dvi2tty.
    - (patch-icu) three ICU library files have been modified (undoing ICU 
    SVN commit 36090 from 2009-06-11), in order to solve all/most XeTeX 
    problems with Indic scripts.
    - (patch-pdftex) a small change in pdftexdir/pdftosrc.cc required to
    build pdfTeX with poppler >=0.18.4 (system-xpdf).  Note, however, that 
    building pdfTeX that way slightly reduces its capability to handle large 
    files (see README.config 1.6 and 3.4.2).
  * update updmap man page (Closes: #677300)
  * (pulled from upupstream cvs, patch xdvi-upupstream-fixes)
    - Fixed bugs in property handling on 64-bit systems (related to source 
      specials).
    - Added support for XkbBell, to make the console bell work again.

 -- Norbert Preining <preining@debian.org>  Sat, 23 Jun 2012 12:57:25 +0900

texlive-bin (2012.20120530-2) unstable; urgency=low

  * call update-language in the postinstall (Closes: #675179)

 -- Norbert Preining <preining@debian.org>  Wed, 30 May 2012 21:34:07 +0900

texlive-bin (2012.20120530-1) unstable; urgency=high

  * new upstream snapshot (svn 26726)
    exporting kpse_cnf_get (Closes: #675109)
  * cnf.h is again installed, don't install it via libkpathsea-dev.install
  * patch handling:
    . removed: 41_maketexmf, 12_fix_epstopdf_invocation
      both included upstream or not needed anymore
    . new: set-e-fmtutil part of set-e-in-various-scripts that still 
      applies
    . disabled: 57_texconfig_papersizes_for_upstream,
      58_texconfig_papersizes_use_ucf, superseeded by 55_texconfig_stuff
    . disabled: set-e-in-various-scripts: split into set-e-fmtutil
      and a disabled part for texconfig

 -- Norbert Preining <preining@debian.org>  Wed, 30 May 2012 11:02:05 +0900

texlive-bin (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * remove outdated and not needed patches
  * remove traces of debian internal mupdmap, we use the one that is now
    shipped by default in TeX Live
  * patch shipped updmap for correct perl module search path
  * move patches from debian/patches to debian/quilt, add quilt as 
    build dep, and include quilt patching in debian/rules
    this gets us rid of the "strange" parts of the 3.0 format
    (see quilt vs dpkg-source fuzzyness acceptance). 
    Thanks to an unnamed dev who gave me the hint!
  * disable build-wovp2ovf patch, included upstream
  * (re)install cnf.h into libkpathsea-dev (Closes: #673016)

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 14:05:23 +0900

texlive-bin (2011.20120510-1) unstable; urgency=low

  * new upstream checkout: fix for dvipdfmx
  * include debian/patches/xdvi-zoom-with-eps-figures.patch from Ubuntu,
    but do not activate it. It makes xdvi crash on *every* zoom in Debian,
    needs more investigation. Original reason: Make zooming with
    Ghostscript 9.0x working correctly. EPS figures were cut off after
    zooming and scrolling. (Taken from Ubuntu packaging, thanks Jeremy Bicha)
    See http://bugs.ghostscript.com/show_bug.cgi?id=692540
  * fix FTBFS on alpha (Closes: #672222)

 -- Norbert Preining <preining@debian.org>  Mon, 07 May 2012 12:52:39 +0900

texlive-bin (2011.20120507-1) unstable; urgency=low

  * new upstream checkout: uptex 1.10
  * drop patches for config file inclusion in (x)dvipdfmx, included upstream
  * add man page for etex
  * include pmpost patches and build it
  * adapt/unfuzzify patches for current sources
  * disable mtx building, we have prepmx package in Debian

 -- Norbert Preining <preining@debian.org>  Mon, 07 May 2012 10:47:49 +0900

texlive-bin (2011.20120410-1) unstable; urgency=low

  * new upstream checkout:
    - remove decls of popen and pclose (Closes: #64524) (!yow, 5 digit bug!)
    - do not declare getopt in C++, fixes FTBFS with g++ >= 4.7 
      (Closes: #667392)
  * add patches (maybe to be included upstream) that allows inclusion of
    one config file in another for (x)dvipdfmx. This will be
    used by the paper code.
  * fix description of libptexenc-dev package (Closes: #667694)
  * remove xdvik patch, included upstream

